Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.MoveAction<T>

    java.lang.Object
      org.modeshape.graph.Graph.AbstractAction<T>
          org.modeshape.graph.Graph.MoveAction<T>

All Implemented Interfaces:
  Graph.And<Graph.Move<T>>, Graph.AsName<Graph.Into<T>>, Graph.Before<T>, Graph.Conjunction<T>, Graph.Into<T>, Graph.Move<T>

Enclosing class:
  Graph

    @NotThreadSafe
    protected abstract class Graph.MoveAction<T>

extends Graph.AbstractAction<T>
implements Graph.Move<T>

Method Summary
`Graph.Move<T>` | `and(Iterable<Property> idPropertiesFrom)` Specify that another node should also be copied or moved.
`Graph.Move<T>` | `and(Location from)` Specify that another node should also be copied or moved.
`Graph.Move<T>` | `and(Path from)` Specify that another node should also be copied or moved.
`Graph.Move<T>` | `and(Property from)` Specify that another node should also be copied or moved.
`Graph.Move<T>` | `and(Property firstFrom, Property... additionalFroms)` Specify that another node should also be copied or moved.
`Graph.Move<T>` | `and(String from)` Specify that another node should also be copied or moved.
`Graph.Move<T>` | `and(UUID from)` Specify that another node should also be copied or moved.
`Graph.Into<T>` | `as(Name newName)` Finish the request by specifying the new name.
`Graph.Into<T>` | `as(String newName)` Finish the request by specifying the new name.
`T` | `before(Location before)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`T` | `before(Path before)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`T` | `before(Property before)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`T` | `before(Property firstIdProperty, Property... additionalIdProperties)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`T` | `before(String before)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`T` | `before(UUID before)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`T` | `into(Location into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`T` | `into(Path into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`T` | `into(Property into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`T` | `into(Property firstIdProperty, Property... additionalIdProperties)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`T` | `into(String into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`T` | `into(UUID into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`protected abstract T` | `submit(org.modeshape.graph.Locations from, Location into, Location before, Name newName)` Submit any requests to move the targets into the supplied parent location
`protected T` | `submit(org.modeshape.graph.Locations from, Location into, Name newName)` Submit any requests to move the targets into the supplied parent location

Methods inherited from class org.modeshape.graph.Graph.AbstractAction
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### and

    public Graph.Move<T> and(Location from)

  Description copied from interface: `Graph.And`
  Specify that another node should also be copied or moved.

  Specified by:
    `and` in interface `Graph.And<Graph.Move<T>>`
  Parameters:
    `from` - the location of the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    public Graph.Move<T> and(String from)

  Description copied from interface: `Graph.And`
  Specify that another node should also be copied or moved.

  Specified by:
    `and` in interface `Graph.And<Graph.Move<T>>`
  Parameters:
    `from` - the path of the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    public Graph.Move<T> and(Path from)

  Description copied from interface: `Graph.And`
  Specify that another node should also be copied or moved.

  Specified by:
    `and` in interface `Graph.And<Graph.Move<T>>`
  Parameters:
    `from` - the path of the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    public Graph.Move<T> and(Property firstFrom,
                             Property... additionalFroms)

  Description copied from interface: `Graph.And`
  Specify that another node should also be copied or moved.

  Specified by:
    `and` in interface `Graph.And<Graph.Move<T>>`
  Parameters:
    `firstFrom` - the first property that, with the `additionalIdProperties`, uniquely identifies the node to be copied or moved
    `additionalFroms` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    public Graph.Move<T> and(Iterable<Property> idPropertiesFrom)

  Description copied from interface: `Graph.And`
  Specify that another node should also be copied or moved.

  Specified by:
    `and` in interface `Graph.And<Graph.Move<T>>`
  Parameters:
    `idPropertiesFrom` - the properties that uniquely identifies the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    public Graph.Move<T> and(Property from)

  Description copied from interface: `Graph.And`
  Specify that another node should also be copied or moved.

  Specified by:
    `and` in interface `Graph.And<Graph.Move<T>>`
  Parameters:
    `from` - the property that uniquely identifies the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    public Graph.Move<T> and(UUID from)

  Description copied from interface: `Graph.And`
  Specify that another node should also be copied or moved.

  Specified by:
    `and` in interface `Graph.And<Graph.Move<T>>`
  Parameters:
    `from` - the UUID of the node to be copied or moved
  Returns:
    the interface for finishing the request

### as

    public Graph.Into<T> as(Name newName)

  Description copied from interface: `Graph.AsName`
  Finish the request by specifying the new name.

  Specified by:
    `as` in interface `Graph.AsName<Graph.Into<T>>`
  Parameters:
    `newName` - the new name
  Returns:
    the interface for additional requests or actions

### as

    public Graph.Into<T> as(String newName)

  Finish the request by specifying the new name.

  Specified by:
    `as` in interface `Graph.AsName<Graph.Into<T>>`
  Parameters:
    `newName` - the new name
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.AsName.as(java.lang.String)`

### submit

    protected abstract T submit(org.modeshape.graph.Locations from,
                                Location into,
                                Location before,
                                Name newName)

  Submit any requests to move the targets into the supplied parent location

  Parameters:
    `from` - the location(s) that are being moved; never null
    `into` - the parent location
    `before` - the location of the child of the parent before which this node should be placed
    `newName` - the new name for the node being moved; may be null
  Returns:
    this object, for method chaining

### submit

    protected T submit(org.modeshape.graph.Locations from,
                       Location into,
                       Name newName)

  Submit any requests to move the targets into the supplied parent location

  Parameters:
    `from` - the location(s) that are being moved; never null
    `into` - the parent location
    `newName` - the new name for the node being moved; may be null
  Returns:
    this object, for method chaining

### into

    public T into(Location into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Location)` instead.

  Specified by:
    `into` in interface `Graph.Into<T>`
  Parameters:
    `into` - the location of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Location)`

### into

    public T into(Path into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Path)` instead.

  Specified by:
    `into` in interface `Graph.Into<T>`
  Parameters:
    `into` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Path)`

### into

    public T into(UUID into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `into` in interface `Graph.Into<T>`
  Parameters:
    `into` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions

### into

    public T into(Property firstIdProperty,
                  Property... additionalIdProperties)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `into` in interface `Graph.Into<T>`
  Parameters:
    `firstIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### into

    public T into(Property into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `into` in interface `Graph.Into<T>`
  Parameters:
    `into` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### into

    public T into(String into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(String)` instead.

  Specified by:
    `into` in interface `Graph.Into<T>`
  Parameters:
    `into` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(String)`

### before

    public T before(Location before)

  Description copied from interface: `Graph.Before`
  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Location)` instead.

  Specified by:
    `before` in interface `Graph.Before<T>`
  Parameters:
    `before` - the location of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Location)`

### before

    public T before(Path before)

  Description copied from interface: `Graph.Before`
  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Path)` instead.

  Specified by:
    `before` in interface `Graph.Before<T>`
  Parameters:
    `before` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Path)`

### before

    public T before(UUID before)

  Description copied from interface: `Graph.Before`
  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `before` in interface `Graph.Before<T>`
  Parameters:
    `before` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions

### before

    public T before(Property firstIdProperty,
                    Property... additionalIdProperties)

  Description copied from interface: `Graph.Before`
  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `before` in interface `Graph.Before<T>`
  Parameters:
    `firstIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### before

    public T before(Property before)

  Description copied from interface: `Graph.Before`
  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `before` in interface `Graph.Before<T>`
  Parameters:
    `before` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### before

    public T before(String before)

  Description copied from interface: `Graph.Before`
  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(String)` instead.

  Specified by:
    `before` in interface `Graph.Before<T>`
  Parameters:
    `before` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.